
QGIS Application - Feature request #20060

Allow cancelling gdal algorithms

2018-10-09 08:57 AM - Lene Fischer

Status: Open

Priority: Normal

Assignee:

Category: Processing/Core

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 27882

Description

Trying to clip a raster with a mask layer. Deciding to stop the process - but Executing in the statusbar does not respond to clik at the red

cross

Related issues:

Related to QGIS Application - Bug report # 20063: The "output folder" Process... Closed 2018-10-09

Duplicated by QGIS Application - Bug report # 20441: Unable to stop executing... Closed 2018-11-10

History

#1 - 2018-10-09 08:59 AM - Lene Fischer

Get this report 

Processing algorithm…

Algorithm 'Clip raster by mask layer' starting…

Input parameters:{ 'ALPHA_BAND' : False, 'CROP_TO_CUTLINE' : True, 'DATA_TYPE' : 5, 'INPUT' : 'C:/gis/raster/dtm_rain_byg.tif',

'KEEP_RESOLUTION' : False, 'MASK' : 'C:/gis/raster/kommune/KOMMUNE.shp', 'NODATA' : None, 'OPTIONS' : '', 'OUTPUT' :

'C:/Users/dlt265/AppData/Local/Temp/processing_cc09b3140c1841388b920e72af1f473e/c7b91d8e2b12454aaf0a642d4c0daa61/OUTPUT.tif' }

GDAL command:

gdalwarp -ot Float32 -of GTiff -cutline C:/gis/raster/kommune/KOMMUNE.shp -crop_to_cutline C:/gis/raster/dtm_rain_byg.tif

C:/Users/dlt265/AppData/Local/Temp/processing_cc09b3140c1841388b920e72af1f473e/c7b91d8e2b12454aaf0a642d4c0daa61/OUTPUT.tif

GDAL command output:

0...10...20...30...40...50...60...70...80...90...100 - done.

Execution failed after 303.39 seconds

Loading resulting layers

Algorithm 'Clip raster by mask layer' finished

#2 - 2018-10-09 09:09 AM - Lene Fischer

I now have tried to change settings for Processing to output folder to c:\gis\temp

restart program

trying to run the proces again the GDAL console list this message - no change of the folder for the output:

gdalwarp -ot Float32 -of GTiff -cutline C:/gis/raster/kommune/KOMMUNE.shp -crop_to_cutline C:/gis/raster/dtm_rain_byg.tif

C:/Users/dlt265/AppData/Local/Temp/processing_ccbc8bf97e664f4e884480ab275cfb81/ee54d11e700a4690be5eb4a05abffad2/OUTPUT.tif

#3 - 2018-10-09 09:22 AM - Nyall Dawson

- Subject changed from Unable to 'kill' Clip raster by mask layer to Allow cancelling gdal algorithms
- Tracker changed from Bug report to Feature request

#4 - 2018-10-09 11:47 AM - Giovanni Manghi

Lene Fischer wrote:

I now have tried to change settings for Processing to output folder to c:\gis\temp

restart program

trying to run the proces again the GDAL console list this message - no change of the folder for the output:

gdalwarp -ot Float32 -of GTiff -cutline C:/gis/raster/kommune/KOMMUNE.shp -crop_to_cutline C:/gis/raster/dtm_rain_byg.tif

C:/Users/dlt265/AppData/Local/Temp/processing_ccbc8bf97e664f4e884480ab275cfb81/ee54d11e700a4690be5eb4a05abffad2/OUTPUT.tif

filed as #20063 (edited)

#5 - 2018-10-10 11:09 AM - Jürgen Fischer

- Related to Bug report #20063: The "output folder" Processing configuration has no effect added

#6 - 2019-01-29 07:48 AM - Alexander Bruy

- Duplicated by Bug report #20441: Unable to stop executing GDAL algorithm added
